---
updatedAt: 2026-08-11T12:26:23.000Z
agentTools:
  siteIndex: https://docs.here.com/llms.txt
  projectIndex: https://docs.here.com/ev-products/llms.txt
---

# Retrieves this API specification in OpenAPI 3 format

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "HERE EV Charge Points API v3",
    "description": "Use this API to get detailed information about charging locations. It builds on data\nretrieved from the **HERE Geocoding and Search API v7** or **HERE Map Content**.\n\nTariff information is provided by Charge Point Operators. HERE Technologies works to\nkeep this data accurate and up to date, but can't guarantee its completeness. Actual\ntariffs at charging locations may differ from the data returned by the API.\n\nSome fields and parameters are in **ALPHA** status. These may change without notice.\n\nFields and parameters marked with the **RESTRICTED** privilege qualifier are\navailable only to customers with a specific contract with HERE.\n",
    "version": "3.21.0"
  },
  "servers": [
    {
      "url": "https://evcp.hereapi.com/v3",
      "description": "Production environment URL"
    }
  ],
  "security": [
    {
      "Bearer": []
    },
    {
      "ApiKey": []
    }
  ],
  "tags": [
    {
      "name": "API Information",
      "description": "Additional API Information"
    }
  ],
  "paths": {
    "/openapi": {
      "get": {
        "summary": "Retrieves this API specification in OpenAPI 3 format",
        "operationId": "HERE EV Charge Points API v3 getOpenapi",
        "tags": [
          "API Information"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/xRequestId"
          }
        ],
        "responses": {
          "200": {
            "description": "Version of API",
            "headers": {
              "X-Correlation-ID": {
                "$ref": "#/components/headers/X-Correlation-ID"
              },
              "X-Request-ID": {
                "$ref": "#/components/headers/X-Request-ID"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OpenapiResponse"
                },
                "examples": {
                  "openapi": {
                    "$ref": "#/components/examples/OpenapiResponse"
                  }
                }
              },
              "application/x-yaml": {
                "schema": {
                  "type": "string"
                }
              },
              "text/x-yaml": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedErrorResponse"
          },
          "default": {
            "$ref": "#/components/responses/GenericErrorResponse"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "xRequestId": {
        "name": "X-Request-ID",
        "in": "header",
        "description": "User-provided token that can be used to trace a request or a group of requests sent to the service",
        "schema": {
          "type": "string"
        }
      }
    },
    "headers": {
      "X-Correlation-ID": {
        "description": "Auto-generated ID, which uniquely identifies the request, available in the response. When contacting support with an inquiry regarding a specific request, provide the value of this header which will help troubleshooting the issue.",
        "schema": {
          "type": "string"
        },
        "example": "4199533b-6290-41db-8d79-edf4f4019a74"
      },
      "X-Request-ID": {
        "description": "User-provided token that can be used to trace a request or a group of requests sent to the service.",
        "schema": {
          "type": "string"
        }
      }
    },
    "securitySchemes": {
      "ApiKey": {
        "type": "apiKey",
        "in": "query",
        "name": "apiKey",
        "description": "A key generated specifically to authenticate API requests. For\nmore information on how to get an API key, see the [https://developer.here.com/documentation/identity-access-management/dev_guide/index.html](Identity\n& Access Management Guide).\n"
      },
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "A token obtained from a separate endpoint using client credentials\nand an OAuth 1.0a HMAC-SHA256 signed request. For more information on how\nto get a bearer token, see the [https://developer.here.com/documentation/identity-access-management/dev_guide/index.html](Identity\n& Access Management Guide).\n"
      }
    },
    "schemas": {
      "GenericErrorResponse": {
        "description": "Generic error response",
        "type": "object",
        "properties": {
          "error": {
            "type": "string",
            "description": "Human-readable error"
          },
          "error_description": {
            "type": "string",
            "description": "Human-readable error description"
          },
          "status": {
            "type": "integer",
            "description": "HTTP status code",
            "example": 403
          }
        },
        "required": [
          "error"
        ]
      },
      "OpenapiResponse": {
        "description": "API response for the openapi endpoint",
        "type": "object",
        "additionalProperties": true
      }
    },
    "responses": {
      "GenericErrorResponse": {
        "description": "API response in case of errors not specified separately.",
        "headers": {
          "X-Correlation-ID": {
            "$ref": "#/components/headers/X-Correlation-ID"
          },
          "X-Request-ID": {
            "$ref": "#/components/headers/X-Request-ID"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/GenericErrorResponse"
                }
              ]
            },
            "examples": {
              "errorResponseExample": {
                "$ref": "#/components/examples/GenericErrorResponse"
              }
            }
          }
        }
      },
      "UnauthorizedErrorResponse": {
        "description": "API response in case of unauthorized access.",
        "headers": {
          "X-Correlation-ID": {
            "$ref": "#/components/headers/X-Correlation-ID"
          },
          "X-Request-ID": {
            "$ref": "#/components/headers/X-Request-ID"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/GenericErrorResponse"
            },
            "examples": {
              "errorResponseExample": {
                "$ref": "#/components/examples/UnauthorizedErrorResponse"
              }
            }
          }
        }
      }
    },
    "examples": {
      "GenericErrorResponse": {
        "summary": "Generic error response example",
        "value": {
          "error": "Method not allowed for this action",
          "error_description": "Method not allowed for this action"
        }
      },
      "OpenapiResponse": {
        "summary": "OpenAPI response example",
        "value": {
          "openapi": "3.0.2",
          "info": {
            "title": "HERE EV Charge Points API v3",
            "description": "This API is intended to provide detailed information about charging locations after\nretrieving initial information from the HERE Geocoding and Search API v7 or from HERE\nMap Content data.\n",
            "version": "3.8.0"
          },
          "servers": {},
          "security": [],
          "paths": {}
        }
      },
      "UnauthorizedErrorResponse": {
        "summary": "Unauthorized error response example",
        "value": {
          "error": "Unauthorized",
          "error_description": "No credentials found"
        }
      }
    }
  }
}
```